package com.ruoyi.dz.service;

import java.util.Collection;
import java.util.List;
import com.ruoyi.dz.domain.DzTeacherClass;

/**
 * 教师班级关系Service接口
 *
 * @author ruoyi
 * @date 2025-09-12
 */
public interface IDzTeacherClassService
{
    /**
     * 查询教师班级关系
     *
     * @param id 教师班级关系主键
     * @return 教师班级关系
     */
    public DzTeacherClass selectDzTeacherClassById(String id);

    /**
     * 查询教师班级关系列表
     *
     * @param dzTeacherClass 教师班级关系
     * @return 教师班级关系集合
     */
    public List<DzTeacherClass> selectDzTeacherClassList(DzTeacherClass dzTeacherClass);
    public List<DzTeacherClass> selectDzTeacherClassByTeacherIds(Collection<Long> teacherIds);

    /**
     * 新增教师班级关系
     *
     * @param dzTeacherClass 教师班级关系
     * @return 结果
     */
    public int insertDzTeacherClass(DzTeacherClass dzTeacherClass);
    public int insertBatch(List<DzTeacherClass> list);

    /**
     * 修改教师班级关系
     *
     * @param dzTeacherClass 教师班级关系
     * @return 结果
     */
    public int updateDzTeacherClass(DzTeacherClass dzTeacherClass);

    /**
     * 批量删除教师班级关系
     *
     * @param ids 需要删除的教师班级关系主键集合
     * @return 结果
     */
    public int deleteDzTeacherClassByIds(String[] ids);

    /**
     * 删除教师班级关系信息
     *
     * @param id 教师班级关系主键
     * @return 结果
     */
    public int deleteDzTeacherClassById(String id);

    /**
     * 批量关联教师班级关系
     *
     * @param dzTeacherClass 教师班级关系（包含teacherId和classIds数组）
     * @return 结果
     */
    public void batchBindTeacherClass(DzTeacherClass dzTeacherClass);
}
